package com.yihu.wlyy.entity.doctor.survey;

import com.yihu.wlyy.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * Created by Reece on 2017/3/9.
 */
@Entity
@Table(name = "wlyy_survey_answers")
public class SurveyAnswers extends IdEntity implements Serializable {
    //    问答题答案编码
    private String code;
    //      问卷编码
    private String surveyCode;
    //  患者ID
    private String patient;
    //    	问答题题目编码
    private String questionCode;
    //    问答题答案
    private String content;
//    创建时间
    private Date createTime;

    public SurveyAnswers() {
    }

    public SurveyAnswers(String code, String surveyCode, String patient, String questionCode, String content, Date createTime) {
        this.code = code;
        this.surveyCode = surveyCode;
        this.patient = patient;
        this.questionCode = questionCode;
        this.content = content;
        this.createTime = createTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getSurveyCode() {
        return surveyCode;
    }

    public void setSurveyCode(String surveyCode) {
        this.surveyCode = surveyCode;
    }

    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }

    public String getQuestionCode() {
        return questionCode;
    }

    public void setQuestionCode(String questionCode) {
        this.questionCode = questionCode;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }
}
